--- a/arch/mips/bcm63xx/boards/board_bcm963xx.c
+++ b/arch/mips/bcm63xx/boards/board_bcm963xx.c
@@ -959,6 +959,34 @@ static struct board_info __initdata boar
 	.has_ehci0 = 1,
 	.num_usbh_ports			= 2,
 };
+
+static struct board_info __initdata board_HW553 = {
+	.name                           = "HW553",
+	.expected_cpu_id                = 0x6358,
+
+	.has_uart0			= 1,
+
+	.has_enet1                      = 1,
+	.has_pci                        = 1,
+	.use_fallback_sprom		= 1,
+
+	.enet1 = {
+		.has_phy		= 1,
+		.phy_id			= 0,
+		.force_speed_100        = 1,
+		.force_duplex_full      = 1,
+	},
+
+	.has_ohci0 = 1,
+	.has_ehci0 = 1,
+	.num_usbh_ports			= 2,
+
+	.fallback_sprom = {
+		.type 				= SPROM_BCM4318,
+		.pci_bus			= 0,
+		.pci_dev			= 1,
+	},
+};
 #endif /* CONFIG_BCM63XX_CPU_6358 */
 
 /*
@@ -1004,6 +1032,7 @@ static const struct board_info __initcon
 	&board_dsl_274xb_rev_c,
 	&board_nb4_ser_r0,
 	&board_nb4_fxc_r1,
+	&board_HW553,
 #endif
 };
 
@@ -1047,6 +1076,7 @@ static struct of_device_id const bcm963x
 	{ .compatible = "brcm,bcm96358vw2", .data = &board_96358vw2, },
 	{ .compatible = "d-link,dsl-274xb-c2", .data = &board_dsl_274xb_rev_c, },
 	{ .compatible = "d-link,dsl-2650u", .data = &board_96358vw2, },
+	{ .compatible = "huawei,hg553", .data = &board_HW553, },
 	{ .compatible = "pirelli,a226g", .data = &board_DWVS0, },
 	{ .compatible = "pirelli,a226m", .data = &board_DWVS0, },
 	{ .compatible = "pirelli,a226m-fwb", .data = &board_DWVS0, },
